package cn.estsh.i3plus.ext.mes.pcn.pojo.context;

import cn.estsh.i3plus.ext.mes.pcn.pojo.util.MesPcnExtConstWords;
import cn.estsh.i3plus.pojo.mes.bean.MesMouldMultiCavity;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrder;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.springframework.beans.BeanUtils;

import java.io.Serializable;

/**
 * 生产过程上下文对象-产出零件信息
 */
@Data
public class MesProductionPartContext implements Serializable {

    private static final long serialVersionUID = 5562937531822977296L;

    @ApiParam(name = "数据关联键")
    private Integer foreignKey;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("生产工单ID")
    private Long id;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("工单数量")
    private Double qty;

    @ApiParam("设备代码")
    private String equipmentCode;

    @ApiParam("设备名称")
    private String equipmentName;

    @ApiParam("零件号")
    private String partNo;

    @ApiParam("零件名称")
    private String partName;

    @ApiParam("模具代码")
    private String mouldNo;

    //根据一模多腔赋值
    public MesProductionPartContext copyMouldMultiCavity(MesMouldMultiCavity mouldMultiCavity) {
        BeanUtils.copyProperties(mouldMultiCavity, this, MesPcnExtConstWords.ID);
        return this;
    }

    //根据零件信息赋值
    public MesProductionPartContext copyPartNo(String organizeCode, String partNo, String partName) {
        this.organizeCode = organizeCode;
        this.partNo = partNo;
        this.partName = partName;
        return this;
    }

    //根据工单信息赋值
    public MesProductionPartContext copyPartNo(MesWorkOrder workOrder) {
        BeanUtils.copyProperties(workOrder, this);
        return this;
    }

    public MesProductionPartContext foreignKey(Integer foreignKey) {
        this.foreignKey = foreignKey;
        return this;
    }

}
